Gtk+2 panel 0.1.0 released

The panel does not depend anymore on libglade: all the UI has been moved to GtkBuilder and glade-3.6.

All the additional applets, previously hardcoded as custom widgets in libglade, have been rewrote practically from scratch as self-contained widgets. To be able to access them from glade-3, the code has been moved in its own shared library, libgpwidgets. This library can be seen and used outside gtk2panel; it is basically a collection of GtkWidgets.

Glade now supported: this means the panel can be designed by adding and configuring widgets using glade-3.

The build system changed deeply to not hardcode any dependency: only Gtk+2 is required. libwnck related widgets can disabled from configure (and the glade support too).

Posted by Nicola Fontana 2009-08-07

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks